List customers
curl --request GET \
--url https://api.trama.so/v1/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trama.so/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trama.so/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"city": "<string>",
"contacts": [
{
"displayName": "<string>",
"id": "<string>",
"identifierValue": "<string>",
"phoneNumber": "<string>"
}
],
"country": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"preferredLanguage": "<string>",
"summary": "<string>",
"tags": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}Customers
List customers
Returns the organization’s non-archived customers, most recently updated first.
GET
/
v1
/
customers
List customers
Authorizations
bearerAuthapiKeyHeader
The organization API key, sent as Authorization: Bearer <key>.
Query Parameters
How many items to return. Maximum 100.
Required range:
1 <= x <= 100Example:
25
How many items to skip from the beginning.
Required range:
x >= 0Example:
0
Matches against the name, the summary, and the identifier of any of their contacts (phone number, Instagram handle, email).
Minimum string length:
1Minimum string length:
1⌘I